$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'vmware-workstation-player'
  fileType               = 'exe'
  url                    = 'https://download3.vmware.com/software/player/file/VMware-player-16.1.0-17198959.exe'
  checksum               = '64CB73DBB25469CEA5FB1425467FE7B5353751279B65D77FB6BEF03987F0855C'
  checksumType           = 'sha256'
  silentArgs             = '/s /v/qn EULAS_AGREED=1 AUTOSOFTWAREUPDATE=0 DATACOLLECTION=0 ADDLOCAL=ALL REBOOT=ReallySuppress'
  validExitCodes         = @(0, 3010, 1614, 1641)
}
Install-ChocolateyPackage @packageArgs
